Исследователь в области безопасности поделился кодом proof-of-concept (PoC) для эксплуатации уязвимости в KDE Frameworks. На момент написания материала патч для данной бреши ещё не вышел.

Проблему безопасности обнаружил эксперт Доминик Пеннер (Dominik «zer0pwn» Penner), она затрагивает KDE Frameworks 5.60.0 и более ранние версии.

Напомним, что KDE Frameworks представляет собой набор библиотек, которые являются основой для среды рабочего стола KDE.

Уязвимость существует из-за того, как класс KDesktopFile (часть KDE Frameworks) обрабатывает файлы.desktop и.directory. Пеннер обнаружил, что он может создать вредоносные версии этих файлов, что приведёт к запуску злонамеренного кода на компьютере пользователя.

Если пользователь откроет папку с файлами.desktop и.directory с помощью Dolphin (файловый менеджер KDE), вредоносный код запустится самостоятельно, никакого взаимодействия с пользователем не потребуется.

Подробный разбор проблемы безопасности Пеннер опубликовал на GitHub. Более того, ниже доступно видео, в котором демонстрируется наличие бреши.

Для успешной эксплуатации этой уязвимости потребуется заставить пользователя скачать вредоносные версии вышеозначенных файлов. Для этого атакующий может прибегнуть к социальной инженерии.

Читайте также